<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.oauth2.provider.scope.internal.liferay.ScopeLocatorImpl" activate="activate" deactivate="deactivate">
  <service>
    <provide interface="com.liferay.oauth2.provider.scope.liferay.ScopeLocator"/>
  </service>
  <reference name="_jaxrsLifecycle" interface="com.liferay.portal.remote.jaxrs.whiteboard.lifecycle.JAXRSLifecycle" field="_jaxrsLifecycle"/>
  <reference name="default" interface="com.liferay.oauth2.provider.scope.spi.scope.matcher.ScopeMatcherFactory" field="_defaultScopeMatcherFactory"/>
  <implementation class="com.liferay.oauth2.provider.scope.internal.liferay.ScopeLocatorImpl"/>
</scr:component>
